
# Interface: IOrderInitModel

Provides properites for the order model.

## Hierarchy

* [IOrderConfig](iorderconfig.md)

  ↳ **IOrderInitModel**

## Index

### Properties

* [customPrice](iorderinitmodel.md#customprice)
* [data](iorderinitmodel.md#data)
* [downloadUrls](iorderinitmodel.md#downloadurls)
* [images](iorderinitmodel.md#images)
* [logRequest](iorderinitmodel.md#logrequest)
* [product](iorderinitmodel.md#product)
* [props](iorderinitmodel.md#props)
* [quantity](iorderinitmodel.md#quantity)
* [settings](iorderinitmodel.md#settings)
* [sku](iorderinitmodel.md#sku)
* [useBackOffice](iorderinitmodel.md#usebackoffice)

## Properties

###  customPrice

• **customPrice**: *number*

*Inherited from [IOrderConfig](iorderconfig.md).[customPrice](iorderconfig.md#customprice)*

The custom price for the order.

___

###  data

• **data**: *Object*

*Inherited from [IOrderConfig](iorderconfig.md).[data](iorderconfig.md#data)*

Custom data (as a JSON object).

___

###  downloadUrls

• **downloadUrls**: *Array‹string›*

*Inherited from [IOrderConfig](iorderconfig.md).[downloadUrls](iorderconfig.md#downloadurls)*

An array of the print-ready files, which should be stored along with the order in your e-commerce system.

___

###  images

• **images**: *Array‹string›*

*Inherited from [IOrderConfig](iorderconfig.md).[images](iorderconfig.md#images)*

An array of URLs to preview images which should be stored along with the order in your e-commerce system.

___

###  logRequest

• **logRequest**: *boolean*

*Inherited from [IOrderConfig](iorderconfig.md).[logRequest](iorderconfig.md#logrequest)*

If true, logging 'add-to-cart' requests (shopify-only)

___

###  product

• **product**: *IProduct*

A product to initialize the order.

___

###  props

• **props**: *Object*

*Inherited from [IOrderConfig](iorderconfig.md).[props](iorderconfig.md#props)*

Custom properties. They don't appear in the order, but are available in the `onSubmitting` callback.

___

###  quantity

• **quantity**: *number*

*Inherited from [IOrderConfig](iorderconfig.md).[quantity](iorderconfig.md#quantity)*

The number of ordered products. The default value is `1`.

___

###  settings

• **settings**: *IPluginSettings*

Settings of the e-commerce plugin.

___

###  sku

• **sku**: *string*

*Inherited from [IOrderConfig](iorderconfig.md).[sku](iorderconfig.md#sku)*

Order line iten SKU (for option-based product)

___

###  useBackOffice

• **useBackOffice**: *boolean*

*Inherited from [IOrderConfig](iorderconfig.md).[useBackOffice](iorderconfig.md#usebackoffice)*

Flag indicates if driver should perform some backOffice actions
